package de.cweiske.jHomeNetControl;

import de.cweiske.jOnlineControl.connectors.Telekom;

import java.net.InetAddress;
import java.net.UnknownHostException;
import java.net.Socket;
import java.io.OutputStream;
import java.io.IOException;
import java.io.InputStream;



/**
 *	Nur zum Test, ob das berhaupt funktioniert
 *
 */
public class ConnectionTest
{
	InetAddress host;
	int nPort = 29166;

	private static int nTimeout = 1000;
	private static int nConnectTimeout = 500;

	OutputStream out;
	InputStream in;

	public static void main(String[] args)
	{
		ConnectionTest ct = new ConnectionTest();
		ct.setAddress(null);
		ct.connect();
	}//public static void main(String[] args)



	public boolean connect()
	{
		Socket sock;
		try {
			sock = new Socket(host, nPort);
			sock.setSoTimeout(ConnectionTest.nTimeout);
			out = sock.getOutputStream();
			in  = sock.getInputStream();
		} catch( IOException e ) {
			e.printStackTrace();
			return false;
		}

		int byt;
		try {
			this.sendKeepAlive();
			this.sendKeepAlive();
			this.sendKeepAlive();
			this.sendKeepAlive();
			while((byt = in.read()) != -1) {
				System.out.print(byt + "-");
			}

			sock.close();
		} catch (IOException e) {
			e.printStackTrace();
		}


		return true;
	}//public boolean connect()



	/**
	 * Setzt die IP-Adresse des Hosts
	 * Standard ist 192.168.69.254
	 */
	public boolean setAddress(String host)
	{
		try {
			if (host == null) {
				host = "192.168.69.254";
			}
			this.host = InetAddress.getByName( host);
		} catch( UnknownHostException e ) {
			e.printStackTrace();
			return false;
		}
		return true;
	}//public boolean setAddress(String host)



	/**
	 * Sendet das Keep-Alive-Signal
	 */
	protected void sendKeepAlive() throws IOException
	{
		//byte[] b = {0x60,0x01,0x80};
		byte[] b = {0x60, 0x01, -0x80};
		out.write(b);
		out.flush();
/*		out.write(96);
		out.write(1);
		out.write(128);
		out.flush();*/
	}//protected void sendKeepAlive()


}//public class ConnectionTest
