package de.cweiske.jOnlineControl.connectors;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * Base implementation of two Connector methods
 *
 * fritz.box has address 192.168.178.1
 */
public class AddressConnector
{
    InetAddress host;
    String plainHost;

    public boolean setAddress(String address)
    {
        try {
            this.plainHost = address;
            this.host = InetAddress.getByName(address);
        } catch (UnknownHostException e) {
            return false;
        }
        return true;
    }//public boolean setAddress(String address)



    public String getAddress()
    {
        if (this.host == null) {
            return this.plainHost;
        } else {
            return this.host.toString();
        }
    }//public String getAddress()

}//public class AddressConnector