package de.cweiske.jOnlineControl.frontend;

import de.cweiske.jOnlineControl.connectors.Connector;
import de.cweiske.jOnlineControl.Status;

/**
 *
 */
public interface Updateable
{
    /**
     * updates status information
     */
    public void updateStatus(Status status);



    /**
     * Settings have been changed; we need to reload them
     */
    public void reloadSettings();



    public void connect();



    public void disconnect();



    public Connector getConnector();



    void setConnector(Connector connector);
}
